package dao

import (
	"time"

	"gorm.io/gorm"
)

// 参考gorm.Model实现
type BaseModel struct {
	ID        uint64         `gorm:"primarykey"`
	CreatedAt time.Time      `gorm:"type:datetime(0)"`  // 精度维持到秒
	UpdatedAt time.Time      `gorm:"type:datetime(0)"`  // 精度维持到秒
	DeletedAt gorm.DeletedAt `gorm:"index;datetime(0)"` // 精度维持到秒
}
